{
"id": "a4b83ef05c927d016af3049628cb7e51",
"event": "call_ended",
"call": {
"event": "call_ended",
"call_id": "example-call-id",
"agent_id": "agentexample"
}
}Webhooks
Call events
Receive call events at your configured webhook URL.
{
"id": "a4b83ef05c927d016af3049628cb7e51",
"event": "call_ended",
"call": {
"event": "call_ended",
"call_id": "example-call-id",
"agent_id": "agentexample"
}
}Receiving URL
Karta sends events to the webhook URL configured for your account. For example:POST https://your-server.example/webhooks/karta
200 OK after accepting the event.
Call events
Subscription names and deliveredevent values differ:
| Subscription | Delivered event |
|---|---|
voice.call.started | call_request_received |
voice.call.ended | call_ended |
voice.call.failed | sip_call_failed |
voice.call.not_connected | voice_call_not_connected |
voice.call.transfer.initiated | call_transfer_initiated |
voice.call.transfer.success | call_transfer_success |
voice.call.transfer.failed | call_transfer_failed |
voice.call.transfer.cancelled | call_transfer_cancelled |
Headers
Body
application/json
Call event sent to your configured webhook URL. Call fields vary by event.
Response
200
Event accepted. No response body is required.